using GiftShopContracts.BindingModels;
using GiftShopContracts.SearchModels;
using GiftShopContracts.ViewModels;

namespace GiftShopContracts.BusinessLogicsContracts
{
    public interface IGiftLogic
    {
        List<GiftViewModel>? ReadList(GiftSearchModel? model);

        GiftViewModel? ReadElement(GiftSearchModel model);

        bool Create(GiftBindingModel model);
        bool Update(GiftBindingModel model);
        bool Delete(GiftBindingModel model);
    }
}
